FactoryParameters
Date: 2013-03-24

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.contentmanagement.viewmanager.stubs.calls
Class FactoryParameters

    java.lang.Object
      org.gcube.contentmanagement.viewmanager.stubs.calls.FactoryParameters

    public class FactoryParameters

extends java.lang.Object

ViewResource creation parameters.

Author:
  Fabio Simeoni (University of Strathclyde)

Constructor Summary
`FactoryParameters()`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`java.lang.String` | `getPlugin()` Returns the target plugin.
`View` | `getView()` Returns the view definition.
`int` | `hashCode()`
`boolean` | `isBroadcast()`
`void` | `setBroadcast(boolean broadcast)`
`void` | `setPlugin(java.lang.String plugin)` Sets the target plugin.
`void` | `setView(View view)` Sets the view definition.

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FactoryParameters

    public FactoryParameters()

Method Detail

### getView

    public View getView()

  Returns the view definition.

  Returns:
    the view definition.

### setView

    public void setView(View view)

  Sets the view definition.

  Parameters:
    `view` - the definition.

### getPlugin

    public java.lang.String getPlugin()

  Returns the target plugin.

  Returns:
    the plugin.

### setPlugin

    public void setPlugin(java.lang.String plugin)

  Sets the target plugin.

  Parameters:
    `plugin` - the plugin.

### isBroadcast

    public boolean isBroadcast()

### setBroadcast

    public void setBroadcast(boolean broadcast)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD